Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class AntBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.AntBuilder
                  org.gradle.api.AntBuilder

    public abstract class AntBuilder
    extends AntBuilder

An `AntBuilder` allows you to use Ant from your build script.

Method Summary
`AntBuilder` | `getAnt()` Returns this AntBuilder.
`Map` | `getProperties()` Returns the properties of the Ant project.
`Map` | `getReferences()` Returns the references of the Ant project.
`void` | `importBuild(Object antBuildFile)` Imports an Ant build into the associated Gradle project.

Methods inherited from class AntBuilder
getProject, getAntXmlContext, getAntProject, invokeMethod, invokeMethod, setProperty, getProperty, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class BuilderSupport
invokeMethod, invokeMethod, setProperty, getProperty, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getAnt

    public AntBuilder getAnt()

  Returns this AntBuilder. Useful when you need to pass this builder to methods from within closures.
  Returns:
    this

### getProperties

    public Map getProperties()

  Returns the properties of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.
  Returns:
    The properties. Never returns null.

### getReferences

    public Map getReferences()

  Returns the references of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.
  Returns:
    The references. Never returns null.

### importBuild

    public void importBuild(Object antBuildFile)

  Imports an Ant build into the associated Gradle project.
  Parameters:
    `antBuildFile` - The build file. This is resolved as per Project#file(Object)#file(Object).

Gradle API 1.1-rc-1